<?php
$tdatapdf_sayfalari = array();
$tdatapdf_sayfalari[".searchableFields"] = array();
$tdatapdf_sayfalari[".ShortName"] = "pdf_sayfalari";
$tdatapdf_sayfalari[".OwnerID"] = "";
$tdatapdf_sayfalari[".OriginalTable"] = "pdf_sayfalari";


$tdatapdf_sayfalari[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatapdf_sayfalari[".originalPagesByType"] = $tdatapdf_sayfalari[".pagesByType"];
$tdatapdf_sayfalari[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatapdf_sayfalari[".originalPages"] = $tdatapdf_sayfalari[".pages"];
$tdatapdf_sayfalari[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatapdf_sayfalari[".originalDefaultPages"] = $tdatapdf_sayfalari[".defaultPages"];

//	field labels
$fieldLabelspdf_sayfalari = array();
$fieldToolTipspdf_sayfalari = array();
$pageTitlespdf_sayfalari = array();
$placeHolderspdf_sayfalari = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelspdf_sayfalari["English"] = array();
	$fieldToolTipspdf_sayfalari["English"] = array();
	$placeHolderspdf_sayfalari["English"] = array();
	$pageTitlespdf_sayfalari["English"] = array();
	$fieldLabelspdf_sayfalari["English"]["dosya_adi"] = "Dosya Adi";
	$fieldToolTipspdf_sayfalari["English"]["dosya_adi"] = "";
	$placeHolderspdf_sayfalari["English"]["dosya_adi"] = "";
	$fieldLabelspdf_sayfalari["English"]["pdf_id"] = "Pdf Id";
	$fieldToolTipspdf_sayfalari["English"]["pdf_id"] = "";
	$placeHolderspdf_sayfalari["English"]["pdf_id"] = "";
	$fieldLabelspdf_sayfalari["English"]["sayfa_id"] = "Sayfa Id";
	$fieldToolTipspdf_sayfalari["English"]["sayfa_id"] = "";
	$placeHolderspdf_sayfalari["English"]["sayfa_id"] = "";
	$fieldLabelspdf_sayfalari["English"]["sayfa_no"] = "Sayfa No";
	$fieldToolTipspdf_sayfalari["English"]["sayfa_no"] = "";
	$placeHolderspdf_sayfalari["English"]["sayfa_no"] = "";
	if (count($fieldToolTipspdf_sayfalari["English"]))
		$tdatapdf_sayfalari[".isUseToolTips"] = true;
}


	$tdatapdf_sayfalari[".NCSearch"] = true;



$tdatapdf_sayfalari[".shortTableName"] = "pdf_sayfalari";
$tdatapdf_sayfalari[".nSecOptions"] = 0;

$tdatapdf_sayfalari[".mainTableOwnerID"] = "";
$tdatapdf_sayfalari[".entityType"] = 0;
$tdatapdf_sayfalari[".connId"] = "onlineoku_at_localhost";


$tdatapdf_sayfalari[".strOriginalTableName"] = "pdf_sayfalari";

	



$tdatapdf_sayfalari[".showAddInPopup"] = false;

$tdatapdf_sayfalari[".showEditInPopup"] = false;

$tdatapdf_sayfalari[".showViewInPopup"] = false;

$tdatapdf_sayfalari[".listAjax"] = false;
//	temporary
//$tdatapdf_sayfalari[".listAjax"] = false;

	$tdatapdf_sayfalari[".audit"] = false;

	$tdatapdf_sayfalari[".locking"] = false;


$pages = $tdatapdf_sayfalari[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatapdf_sayfalari[".edit"] = true;
	$tdatapdf_sayfalari[".afterEditAction"] = 1;
	$tdatapdf_sayfalari[".closePopupAfterEdit"] = 1;
	$tdatapdf_sayfalari[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatapdf_sayfalari[".add"] = true;
$tdatapdf_sayfalari[".afterAddAction"] = 1;
$tdatapdf_sayfalari[".closePopupAfterAdd"] = 1;
$tdatapdf_sayfalari[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatapdf_sayfalari[".list"] = true;
}



$tdatapdf_sayfalari[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatapdf_sayfalari[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatapdf_sayfalari[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatapdf_sayfalari[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatapdf_sayfalari[".printFriendly"] = true;
}



$tdatapdf_sayfalari[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatapdf_sayfalari[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatapdf_sayfalari[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatapdf_sayfalari[".isUseAjaxSuggest"] = true;





$tdatapdf_sayfalari[".ajaxCodeSnippetAdded"] = false;

$tdatapdf_sayfalari[".buttonsAdded"] = false;

$tdatapdf_sayfalari[".addPageEvents"] = false;

// use timepicker for search panel
$tdatapdf_sayfalari[".isUseTimeForSearch"] = false;


$tdatapdf_sayfalari[".badgeColor"] = "CFAE83";


$tdatapdf_sayfalari[".allSearchFields"] = array();
$tdatapdf_sayfalari[".filterFields"] = array();
$tdatapdf_sayfalari[".requiredSearchFields"] = array();

$tdatapdf_sayfalari[".googleLikeFields"] = array();
$tdatapdf_sayfalari[".googleLikeFields"][] = "dosya_adi";
$tdatapdf_sayfalari[".googleLikeFields"][] = "pdf_id";
$tdatapdf_sayfalari[".googleLikeFields"][] = "sayfa_id";
$tdatapdf_sayfalari[".googleLikeFields"][] = "sayfa_no";



$tdatapdf_sayfalari[".tableType"] = "list";

$tdatapdf_sayfalari[".printerPageOrientation"] = 0;
$tdatapdf_sayfalari[".nPrinterPageScale"] = 100;

$tdatapdf_sayfalari[".nPrinterSplitRecords"] = 40;

$tdatapdf_sayfalari[".geocodingEnabled"] = false;










$tdatapdf_sayfalari[".pageSize"] = 20;

$tdatapdf_sayfalari[".warnLeavingPages"] = true;



$tstrOrderBy = "";
$tdatapdf_sayfalari[".strOrderBy"] = $tstrOrderBy;

$tdatapdf_sayfalari[".orderindexes"] = array();


$tdatapdf_sayfalari[".sqlHead"] = "SELECT dosya_adi,  	pdf_id,  	sayfa_id,  	sayfa_no";
$tdatapdf_sayfalari[".sqlFrom"] = "FROM pdf_sayfalari";
$tdatapdf_sayfalari[".sqlWhereExpr"] = "";
$tdatapdf_sayfalari[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatapdf_sayfalari[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatapdf_sayfalari[".arrGroupsPerPage"] = $arrGPP;

$tdatapdf_sayfalari[".highlightSearchResults"] = true;

$tableKeyspdf_sayfalari = array();
$tableKeyspdf_sayfalari[] = "sayfa_id";
$tdatapdf_sayfalari[".Keys"] = $tableKeyspdf_sayfalari;


$tdatapdf_sayfalari[".hideMobileList"] = array();




//	dosya_adi
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "dosya_adi";
	$fdata["GoodName"] = "dosya_adi";
	$fdata["ownerTable"] = "pdf_sayfalari";
	$fdata["Label"] = GetFieldLabel("pdf_sayfalari","dosya_adi");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "dosya_adi";

		$fdata["sourceSingle"] = "dosya_adi";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "dosya_adi";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapdf_sayfalari["dosya_adi"] = $fdata;
		$tdatapdf_sayfalari[".searchableFields"][] = "dosya_adi";
//	pdf_id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "pdf_id";
	$fdata["GoodName"] = "pdf_id";
	$fdata["ownerTable"] = "pdf_sayfalari";
	$fdata["Label"] = GetFieldLabel("pdf_sayfalari","pdf_id");
	$fdata["FieldType"] = 3;


	
	
			

		$fdata["strField"] = "pdf_id";

		$fdata["sourceSingle"] = "pdf_id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "pdf_id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "pdfler";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "pdf_id";
	$edata["LinkFieldType"] = 3;
	$edata["DisplayField"] = "aciklama";

	

	
	$edata["LookupOrderBy"] = "";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapdf_sayfalari["pdf_id"] = $fdata;
		$tdatapdf_sayfalari[".searchableFields"][] = "pdf_id";
//	sayfa_id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "sayfa_id";
	$fdata["GoodName"] = "sayfa_id";
	$fdata["ownerTable"] = "pdf_sayfalari";
	$fdata["Label"] = GetFieldLabel("pdf_sayfalari","sayfa_id");
	$fdata["FieldType"] = 3;


		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "sayfa_id";

		$fdata["sourceSingle"] = "sayfa_id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "sayfa_id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapdf_sayfalari["sayfa_id"] = $fdata;
		$tdatapdf_sayfalari[".searchableFields"][] = "sayfa_id";
//	sayfa_no
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "sayfa_no";
	$fdata["GoodName"] = "sayfa_no";
	$fdata["ownerTable"] = "pdf_sayfalari";
	$fdata["Label"] = GetFieldLabel("pdf_sayfalari","sayfa_no");
	$fdata["FieldType"] = 3;


	
	
			

		$fdata["strField"] = "sayfa_no";

		$fdata["sourceSingle"] = "sayfa_no";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "sayfa_no";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapdf_sayfalari["sayfa_no"] = $fdata;
		$tdatapdf_sayfalari[".searchableFields"][] = "sayfa_no";


$tables_data["pdf_sayfalari"]=&$tdatapdf_sayfalari;
$field_labels["pdf_sayfalari"] = &$fieldLabelspdf_sayfalari;
$fieldToolTips["pdf_sayfalari"] = &$fieldToolTipspdf_sayfalari;
$placeHolders["pdf_sayfalari"] = &$placeHolderspdf_sayfalari;
$page_titles["pdf_sayfalari"] = &$pageTitlespdf_sayfalari;


changeTextControlsToDate( "pdf_sayfalari" );

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)

//if !@TABLE.bReportCrossTab

$detailsTablesData["pdf_sayfalari"] = array();
//endif

// tables which are master tables for current table (detail)
$masterTablesData["pdf_sayfalari"] = array();



	
	//if !@t.bReportCrossTab
			$strOriginalDetailsTable="pdfler";
	$masterParams = array();
	$masterParams["mDataSourceTable"]="pdfler";
	$masterParams["mOriginalTable"]= $strOriginalDetailsTable;
	$masterParams["mShortTable"]= "pdfler";
	$masterParams["masterKeys"]= array();
	$masterParams["detailKeys"]= array();

	$masterParams["type"] = PAGE_LIST;
					$masterTablesData["pdf_sayfalari"][0] = $masterParams;
				$masterTablesData["pdf_sayfalari"][0]["masterKeys"] = array();
	$masterTablesData["pdf_sayfalari"][0]["masterKeys"][]="pdf_id";
				$masterTablesData["pdf_sayfalari"][0]["detailKeys"] = array();
	$masterTablesData["pdf_sayfalari"][0]["detailKeys"][]="pdf_id";
		
	//endif
// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_pdf_sayfalari()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "dosya_adi,  	pdf_id,  	sayfa_id,  	sayfa_no";
$proto0["m_strFrom"] = "FROM pdf_sayfalari";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "dosya_adi",
	"m_strTable" => "pdf_sayfalari",
	"m_srcTableName" => "pdf_sayfalari"
));

$proto6["m_sql"] = "dosya_adi";
$proto6["m_srcTableName"] = "pdf_sayfalari";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "pdf_id",
	"m_strTable" => "pdf_sayfalari",
	"m_srcTableName" => "pdf_sayfalari"
));

$proto8["m_sql"] = "pdf_id";
$proto8["m_srcTableName"] = "pdf_sayfalari";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "sayfa_id",
	"m_strTable" => "pdf_sayfalari",
	"m_srcTableName" => "pdf_sayfalari"
));

$proto10["m_sql"] = "sayfa_id";
$proto10["m_srcTableName"] = "pdf_sayfalari";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "sayfa_no",
	"m_strTable" => "pdf_sayfalari",
	"m_srcTableName" => "pdf_sayfalari"
));

$proto12["m_sql"] = "sayfa_no";
$proto12["m_srcTableName"] = "pdf_sayfalari";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto14=array();
$proto14["m_link"] = "SQLL_MAIN";
			$proto15=array();
$proto15["m_strName"] = "pdf_sayfalari";
$proto15["m_srcTableName"] = "pdf_sayfalari";
$proto15["m_columns"] = array();
$proto15["m_columns"][] = "dosya_adi";
$proto15["m_columns"][] = "pdf_id";
$proto15["m_columns"][] = "sayfa_id";
$proto15["m_columns"][] = "sayfa_no";
$obj = new SQLTable($proto15);

$proto14["m_table"] = $obj;
$proto14["m_sql"] = "pdf_sayfalari";
$proto14["m_alias"] = "";
$proto14["m_srcTableName"] = "pdf_sayfalari";
$proto16=array();
$proto16["m_sql"] = "";
$proto16["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto16["m_column"]=$obj;
$proto16["m_contained"] = array();
$proto16["m_strCase"] = "";
$proto16["m_havingmode"] = false;
$proto16["m_inBrackets"] = false;
$proto16["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto16);

$proto14["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto14);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="pdf_sayfalari";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_pdf_sayfalari = createSqlQuery_pdf_sayfalari();


	
		;

				

$tdatapdf_sayfalari[".sqlquery"] = $queryData_pdf_sayfalari;



$tdatapdf_sayfalari[".hasEvents"] = false;

?>